Enviar cotizacion por email
curl --request POST \
--url https://api.raul.ugps.io/api/v1/quotes/{id}/send-email \
--header 'Content-Type: application/json' \
--data '
{
"to": [
"<string>"
],
"subject": "<string>",
"body": "<string>",
"cc": [
"<string>"
],
"include_pdf": true,
"additional_attachments": [
{
"name": "<string>",
"contentType": "<string>",
"contentBytes": "<string>"
}
],
"shared_mailbox_id": "<string>",
"ai_generated_subject": "<string>",
"ai_generated_body": "<string>"
}
'import requests
url = "https://api.raul.ugps.io/api/v1/quotes/{id}/send-email"
payload = {
"to": ["<string>"],
"subject": "<string>",
"body": "<string>",
"cc": ["<string>"],
"include_pdf": True,
"additional_attachments": [
{
"name": "<string>",
"contentType": "<string>",
"contentBytes": "<string>"
}
],
"shared_mailbox_id": "<string>",
"ai_generated_subject": "<string>",
"ai_generated_body": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
to: ['<string>'],
subject: '<string>',
body: JSON.stringify('<string>'),
cc: ['<string>'],
include_pdf: true,
additional_attachments: [{name: '<string>', contentType: '<string>', contentBytes: '<string>'}],
shared_mailbox_id: '<string>',
ai_generated_subject: '<string>',
ai_generated_body: '<string>'
})
};
fetch('https://api.raul.ugps.io/api/v1/quotes/{id}/send-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"activity_id": "<string>"
}Quotes
Enviar cotizacion por email
Operacion: Enviar cotizacion por email.
POST
/
api
/
v1
/
quotes
/
{id}
/
send-email
Enviar cotizacion por email
Path Parameters
Quote UUID
Query Parameters
Body
application/json
Destinatarios principales
Asunto del email
Cuerpo del email en HTML
Copia
Incluir PDF de cotizacion
Archivos adicionales
Show child attributes
Show child attributes
ID de la bandeja compartida para enviar desde
Modo de envio desde bandeja compartida
Available options:
send_as, on_behalf_of Asunto generado por IA (para feedback RAG)
Cuerpo generado por IA (para feedback RAG)
⌘I